Method: projects.locations.collections.engines.analytics.exportMetrics

מייצא מדדים.

בקשת HTTP

POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
analytics

string

חובה. שם משאב הניתוח תחת המנוע שבו נוצרים המדדים. הפורמט הוא projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/analytics.

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג JSON
{
  "outputConfig": {
    object (OutputConfig)
  }
}
שדות
outputConfig

object (OutputConfig)

חובה. מיקום הפלט של הנתונים.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

OutputConfig

הגדרת תצורת הפלט.

ייצוג JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigqueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
שדות
תצורת היעד להחזקת נתוני פלט. בהמשך מפורטת רשימה של שדות שאי אפשר להשתמש בהם בו-זמנית. רק אחד מהשדות הבאים יוגדר בתשובה:
bigqueryDestination

object (BigQueryDestination)

מיקום BigQuery שאליו יש לכתוב את הפלט.

סוף השדות הבלעדיים.

BigQueryDestination

תצורת יעד הפלט של BigQuery.

ייצוג JSON
{
  "datasetId": string,
  "tableId": string
}
שדות
datasetId

string

חובה. המזהה של מערך נתונים של BigQuery.

tableId

string

חובה. מזהה הטבלה של טבלת BigQuery שיוצאה.